#!/usr/bin/env python
# -*- coding: utf-8 -*-

KEYCODES = {
    "plusminus": "0x00b1", 
    "XF86Bluetooth": "0x1008ff94", 
    "XF86AudioMute": "0x1008ff12", 
    "XF86MonBrightnessDown": "0x1008ff03", 
    "less": "0x003c", 
    "XF86Ungrab": "0x1008fe20", 
    "KP_7": "0xffb7", 
    "dollar": "0x0024", 
    "Hangul": "0xff31", 
    "XF86Search": "0x1008ff1b", 
    "XF86Switch_VT_3": "0x1008fe03", 
    "XF86Switch_VT_2": "0x1008fe02", 
    "XF86Switch_VT_1": "0x1008fe01", 
    "comma": "0x002c", 
    "NoSymbol": "0x0000", 
    "XF86Switch_VT_5": "0x1008fe05", 
    "XF86Switch_VT_4": "0x1008fe04", 
    "XF86Switch_VT_9": "0x1008fe09", 
    "XF86Switch_VT_8": "0x1008fe08", 
    "XF86Battery": "0x1008ff93", 
    "XF86Reload": "0x1008ff73", 
    "XF86ScrollUp": "0x1008ff78", 
    "XF86MailForward": "0x1008ff90", 
    "ISO_Left_Tab": "0xfe20", 
    "KP_Down": "0xff99", 
    "KP_Add": "0xffab", 
    "Undo": "0xff65", 
    "XF86DOS": "0x1008ff5a", 
    "XF86AudioPrev": "0x1008ff16", 
    "0": "0x0030", 
    "KP_Insert": "0xff9e", 
    "4": "0x0034", 
    "8": "0x0038", 
    "Control_L": "0xffe3", 
    "SunFront": "0x1005ff71", 
    "XF86Send": "0x1008ff7b", 
    "Alt_R": "0xffea", 
    "D": "0x0044", 
    "XF86WLAN": "0x1008ff95", 
    "H": "0x0048", 
    "XF86Forward": "0x1008ff27", 
    "L": "0x004c", 
    "XF86Xfer": "0x1008ff8a", 
    "XF86TouchpadOff": "0x1008ffb1", 
    "P": "0x0050", 
    "F3": "0xffc0", 
    "T": "0x0054", 
    "underscore": "0x005f", 
    "XF86Save": "0x1008ff77", 
    "X": "0x0058", 
    "XF86KbdLightOnOff": "0x1008ff04", 
    "XF86Launch1": "0x1008ff41", 
    "KP_Multiply": "0xffaa", 
    "Right": "0xff53", 
    "bar": "0x007c", 
    "d": "0x0064", 
    "XF86AudioPlay": "0x1008ff14", 
    "h": "0x0068", 
    "F7": "0xffc4", 
    "l": "0x006c", 
    "XF86Prev_VMode": "0x1008fe23", 
    "p": "0x0070", 
    "SunProps": "0x1005ff70", 
    "t": "0x0074", 
    "Tab": "0xff09", 
    "XF86Finance": "0x1008ff3c", 
    "x": "0x0078", 
    "XF86ScreenSaver": "0x1008ff2d", 
    "Find": "0xff68", 
    "Alt_L": "0xffe9", 
    "parenright": "0x0029", 
    "Mode_switch": "0xff7e", 
    "End": "0xff57", 
    "XF86LaunchA": "0x1008ff4a", 
    "XF86LaunchB": "0x1008ff4b", 
    "Next": "0xff56", 
    "XF86Display": "0x1008ff59", 
    "Print": "0xff61", 
    "XF86AudioStop": "0x1008ff15", 
    "XF86Tools": "0x1008ff81", 
    "braceleft": "0x007b", 
    "KP_Decimal": "0xffae", 
    "Henkan_Mode": "0xff23", 
    "KP_Home": "0xff95", 
    " ": "0x0020", 
    "XF86Cut": "0x1008ff58", 
    "XF86Calculator": "0x1008ff1d", 
    "3": "0x0033", 
    "ampersand": "0x0026", 
    "XF86TouchpadToggle": "0x1008ffa9", 
    "7": "0x0037", 
    "C": "0x0043", 
    "KP_End": "0xff9c", 
    "G": "0x0047", 
    "XF86Back": "0x1008ff26", 
    "M": "0x004d", 
    "K": "0x004b", 
    "KP_Begin": "0xff9d", 
    "Hyper_L": "0xffed", 
    "Up": "0xff52", 
    "O": "0x004f", 
    "Prior": "0xff55", 
    "S": "0x0053", 
    "W": "0x0057", 
    "F12": "0xffc9", 
    "Meta_L": "0xffe7", 
    "exclam": "0x0021", 
    "F11": "0xffc8", 
    "Hangul_Hanja": "0xff34", 
    "Control_R": "0xffe4", 
    "XF86ClearGrab": "0x1008fe21", 
    "XF86Explorer": "0x1008ff5d", 
    "c": "0x0063", 
    "XF86MyComputer": "0x1008ff33", 
    "g": "0x0067", 
    "Redo": "0xff66", 
    "k": "0x006b", 
    "XF86AudioRewind": "0x1008ff3e", 
    "equal": "0x003d", 
    "o": "0x006f", 
    "XF86Phone": "0x1008ff6e", 
    "XF86Paste": "0x1008ff6d", 
    "XF86HomePage": "0x1008ff18", 
    "s": "0x0073", 
    "plus": "0x002b", 
    "w": "0x0077", 
    "Escape": "0xff1b", 
    "apostrophe": "0x0027", 
    "Katakana": "0xff26", 
    "XF86Launch3": "0x1008ff43", 
    "XF86Launch4": "0x1008ff44", 
    "XF86Close": "0x1008ff56", 
    "XF86Launch6": "0x1008ff46", 
    "XF86Launch7": "0x1008ff47", 
    "Pause": "0xff13", 
    "XF86AudioForward": "0x1008ff97", 
    "XF86Shop": "0x1008ff36", 
    "XF86AudioRecord": "0x1008ff1c", 
    "Super_L": "0xffeb", 
    "XF86MenuKB": "0x1008ff65", 
    "period": "0x002e", 
    "slash": "0x002f", 
    "Hiragana": "0xff25", 
    "asciitilde": "0x007e", 
    "colon": "0x003a", 
    "KP_Equal": "0xffbd", 
    "F10": "0xffc7", 
    "parenleft": "0x0028", 
    "XF86AudioNext": "0x1008ff17", 
    "Help": "0xff6a", 
    "Shift_R": "0xffe2", 
    "KP_Divide": "0xffaf", 
    "KP_Prior": "0xff9a", 
    "XF86AudioPause": "0x1008ff31", 
    "question": "0x003f", 
    "XF86New": "0x1008ff68", 
    "Break": "0xff6b", 
    "2": "0x0032", 
    "XF86ScrollDown": "0x1008ff79", 
    "Num_Lock": "0xff7f", 
    "6": "0x0036", 
    "Shift_L": "0xffe1", 
    "Delete": "0xffff", 
    "XF86Go": "0x1008ff5f", 
    "XF86WakeUp": "0x1008ff2b", 
    "XF86AudioMedia": "0x1008ff32", 
    "B": "0x0042", 
    "F": "0x0046", 
    "J": "0x004a", 
    "XF86Switch_VT_7": "0x1008fe07", 
    "N": "0x004e", 
    "KP_0": "0xffb0", 
    "KP_1": "0xffb1", 
    "KP_2": "0xffb2", 
    "R": "0x0052", 
    "bracketleft": "0x005b", 
    "KP_5": "0xffb5", 
    "KP_6": "0xffb6", 
    "V": "0x0056", 
    "KP_8": "0xffb8", 
    "asciicircum": "0x005e", 
    "Z": "0x005a", 
    "Meta_R": "0xffe8", 
    "KP_9": "0xffb9", 
    "Left": "0xff51", 
    "KP_Left": "0xff96", 
    "F1": "0xffbe", 
    "F2": "0xffbf", 
    "b": "0x0062", 
    "F4": "0xffc1", 
    "F5": "0xffc2", 
    "F6": "0xffc3", 
    "f": "0x0066", 
    "F8": "0xffc5", 
    "F9": "0xffc6", 
    "XF86Reply": "0x1008ff72", 
    "j": "0x006a", 
    "XF86Switch_VT_6": "0x1008fe06", 
    "KP_Enter": "0xff8d", 
    "n": "0x006e", 
    "Down": "0xff54", 
    "r": "0x0072", 
    "v": "0x0076", 
    "Cancel": "0xff69", 
    "z": "0x007a", 
    "Scroll_Lock": "0xff14", 
    "minus": "0x002d", 
    "XF86Game": "0x1008ff5e", 
    "braceright": "0x007d", 
    "XF86Copy": "0x1008ff57", 
    "semicolon": "0x003b", 
    "brokenbar": "0x00a6", 
    "KP_Next": "0xff9b", 
    "XF86Eject": "0x1008ff2c", 
    "backslash": "0x005c", 
    "Linefeed": "0xff0a", 
    "XF86RotateWindows": "0x1008ff74", 
    "KP_Subtract": "0xffad", 
    "XF86AudioRaiseVolume": "0x1008ff13", 
    "at": "0x0040", 
    "XF86MonBrightnessUp": "0x1008ff02", 
    "greater": "0x003e", 
    "XF86Launch8": "0x1008ff48", 
    "Muhenkan": "0xff22", 
    "Return": "0xff0d", 
    "KP_Up": "0xff97", 
    "XF86Launch9": "0x1008ff49", 
    "XF86KbdBrightnessUp": "0x1008ff05", 
    "percent": "0x0025", 
    "SunOpen": "0x1005ff73", 
    "XF86Suspend": "0x1008ffa7", 
    "1": "0x0031", 
    "5": "0x0035", 
    "XF86Switch_VT_12": "0x1008fe0c", 
    "XF86Switch_VT_11": "0x1008fe0b", 
    "XF86Switch_VT_10": "0x1008fe0a", 
    "9": "0x0039", 
    "XF86AudioLowerVolume": "0x1008ff11", 
    "bracketright": "0x005d", 
    "Pointer_Button2": "0xfeea", 
    "A": "0x0041", 
    "Insert": "0xff63", 
    "quotedbl": "0x0022", 
    "XF86Next_VMode": "0x1008fe22", 
    "E": "0x0045", 
    "Hiragana_Katakana": "0xff27", 
    "I": "0x0049", 
    "Super_R": "0xffec", 
    "numbersign": "0x0023", 
    "BackSpace": "0xff08", 
    "asterisk": "0x002a", 
    "XF86KbdBrightnessDown": "0x1008ff06", 
    "Q": "0x0051", 
    "XF86WebCam": "0x1008ff8f", 
    "KP_Right": "0xff98", 
    "XF86Sleep": "0x1008ff2f", 
    "U": "0x0055", 
    "XF86TouchpadOn": "0x1008ffb0", 
    "XF86PowerOff": "0x1008ff2a", 
    "Home": "0xff50", 
    "Y": "0x0059", 
    "KP_Delete": "0xff9f", 
    "XF86Launch2": "0x1008ff42", 
    "grave": "0x0060", 
    "a": "0x0061", 
    "XF86Messenger": "0x1008ff8e", 
    "e": "0x0065", 
    "XF86WWW": "0x1008ff2e", 
    "i": "0x0069", 
    "m": "0x006d", 
    "ISO_Level3_Shift": "0xfe03", 
    "XF86Launch5": "0x1008ff45", 
    "q": "0x0071", 
    "XF86Favorites": "0x1008ff30", 
    "KP_3": "0xffb3", 
    "u": "0x0075", 
    "XF86Documents": "0x1008ff5b", 
    "y": "0x0079", 
    "KP_4": "0xffb4", 
    "XF86Mail": "0x1008ff19"
}
